Bug 1187100 - [RFE] Execute bulk remote commands and download / updates for multiple systems with Satellite 6 (like SSM in Satellite 5)
Summary: [RFE] Execute bulk remote commands and download / updates for multiple system...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: All
OS: Linux
medium
medium with 2 votes vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-29 10:50 UTC by Kamudini Gazdikova
Modified: 2019-11-14 06:36 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:47:03 UTC
Target Upstream Version:


Attachments (Terms of Use)
Satellite 5.7 System Set Manager page (88.00 KB, image/png)
2015-02-04 22:31 UTC, Xixi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1359933 None None None Never
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Comment 1 RHEL Program Management 2015-01-29 10:55:13 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Xixi 2015-02-04 22:31:14 UTC
Created attachment 988316 [details]
Satellite 5.7 System Set Manager page

Comment 7 Mario Gamboa 2015-10-06 04:41:42 UTC

This can be achieve with the following foreman plugin
http://theforeman.org/plugins/foreman_remote_execution/0.0/ after that you going to have job templates in hosts tab just create a new job template for example
Template that allow install remove and update packages

Name: Package Actions
die() {
echo "${1}, exiting..."
exit $2
}

<% unless input("pre_script").blank? -%>
# Pre Script
<%= input("pre_script") %>
RETVAL=$?
[ $RETVAL -eq 0 ] || die "Pre script failed" $RETVAL
<% end -%>

<% if @host.operatingsystem.family == 'Redhat' -%>
yum -y <%= input("action") %> <%= input("package") %>
<% elsif @host.operatingsystem.family == 'Debian' -%>
apt-get -y <%= input("action") %> <%= input("package") %>
<% end -%>
RETVAL=$?
[ $RETVAL -eq 0 ] || die "Package action failed" $RETVAL

<% unless input("post_script").blank? -%>
# Post Script
<%= input("post_script") %>
RETVAL=$?
[ $RETVAL -eq 0 ] || die "Post script failed" $RETVAL
<% end -%>

Go to job tab
Job name:Package Actions
Provider type:sshexecutorprovider

Name: pre-script
input type:user input
Description: pre-script before package install update or remove

Name: package
input type:user input
Description: name of the package

Name: action
input type:user input
Description: The package action: install, update, or remove

Name:post-script
input type:user input
Description: Post script needed after package installed,removed or update

After this save the template and go to hosts-->all hosts tick the host that you want to apply the job and in the top right side next to new host button is going to appear a new button select action just click there and click run job

Choose the job name and provide any input necessary for the job complete.

With this you can deploy any command to the host via ssh as remote commands.

Comment 8 Mario Gamboa 2015-11-15 08:58:32 UTC
Any news about this plug in for satellite

Comment 9 Mario Gamboa 2015-11-15 10:54:23 UTC
Source code here 

https://github.com/theforeman/foreman_remote_execution

Comment 10 Mario Gamboa 2015-11-15 10:58:08 UTC
Any updates it's have almost 12 months and still nobody take care of the customer request

Comment 11 Justin Sherrill 2015-12-10 07:54:53 UTC
Couple of points here:

* Is customer wanting a SSM (shopping cart style) interaction for performing remote commands on hosts?

 If so this is NOT a feature we are providing for 6.2 and this bz should be moved off of 6.2 and out of POST (and should not have been moved to POST in the first place).   There may be a workaround by using host collections to perform this but this is fairly clunky.

* Does the customer just want to apply updates to systems in bulk?

If so they can do that today with satellite 6.1.  


Moving off of post as it is unclear.

Comment 12 Mario Gamboa 2015-12-10 08:50:20 UTC
Hi Justin

Thank you for you response i'm not sure if you know the product very well but 6.1.4 still have a lot of bug network issues for example and the remote execution is state of the art useful feature that enable send commands  from satellite to the hosts via ssh is on the upstream project and works excellent at this stage for the lack of experience on the product i recap  if you look http://theforeman.org/plugins/foreman_remote_execution/0.0/ 

you can see how is works this function at this moment i used with satellite 6.1.4 i just got the code and do it something that redhat i believe can do faster that me but like always is the lack of experience in the product and in the code that is making the customer suffer

Comment 13 Mario Gamboa 2015-12-10 08:54:43 UTC
Also if you desire close this bug as per you last comment

Is customer wanting a SSM (shopping cart style) interaction for performing remote commands on hosts?

well is no because we want a shopping cart style we want a functional product no the thing that suppose you are producing right now that is no working as expected and must be have as minimum the same features we have before with satellite 5 and just add the automation part of puppet +  the life cycles because the products still be the channels and content view our public repos for the machines that is ok but still missing this feature and also have some bugs very easy to solve but you guy take more that a year just to add 2 lines in code that resolve issues and i talking from my experience with red hat support and the lack the experience the guys have because they never receive the training. 

Please close this bug like always as no a bug

Comment 14 Justin Sherrill 2015-12-10 08:59:36 UTC
Hi Mario, 

I made that comment while having a conversation with the original creator of this bug and I believe there was a lot of confusion around the actual intent for that customer case.  Now there are five customer cases and I imagine most of these are all wanting different things.

The foreman_remote_execution plugin will be included with 6.2 regardless of the state of this bug, and I don't want to close this bug but instead establish what exactly this bug will solve.  I don't want to give all 5 customers attached to this bz the impression that we will have all sat 5 features and SSM style interaction in 6.2 as that is not the case. 

There are also many many other feature requests scattered through many bugzillas related to remote execution.

Thanks,

-Justin

Comment 15 Justin Sherrill 2015-12-10 09:01:25 UTC
Mario,

To emphasize, if you are happy with the features that 
https://github.com/theforeman/foreman_remote_execution provides then you should be very happy with Satellite 6.2 since it will be included.

-justin

Comment 16 Bryan Kearney 2016-02-23 17:00:57 UTC
Remote Execution will be delivered with 6.2. I am moving this to POST.

Comment 18 Mario Gamboa 2016-02-23 21:27:46 UTC
nice ++

Comment 21 jcallaha 2016-04-14 20:00:19 UTC
Verified in Satellite 6.2 Beta Snap 8 Compose 1. The requested functionality is all delivered with Remote Execution.

Comment 23 errata-xmlrpc 2016-07-27 08:47:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.